#!/usr/bin/env python
#coding=utf8
"""
$Id: actuators.py,v 1.2 2014/05/12 12:54:30 alfille Exp $

Copyright (c) 2014 C-Bell (VAGor). All rights reserved.

Модуль управления включением/отключением 2-х ТЭН и
2-х электроклапанов.

Условия работы программы:
    должен быть доступен пакет:
        pcduino
"""
import gpio

#Назначаем выводы
pins={"TEH1" : "gpio7", "TEH2" : "gpio8", "Deph" : "gpio2", "Cond" : "gpio4"}

def OffAll():
    """Отключение всех ТЭН и клапанов"""
    for pin in pins.values():
        gpio.pinMode(pin,gpio.INPUT)

def OnAll():
    """Включение всех ТЭН и клапанов"""
    for pin in pins.values():
        gpio.pinMode(pin,gpio.OUTPUT)
        gpio.digitalWrite(pin,gpio.LOW)

def OnTEH1():
    """Включение ТЭН1"""
    gpio.pinMode(pins['TEH1'],gpio.OUTPUT)
    gpio.digitalWrite(pins['TEH1'],gpio.LOW)

def OnTEH2():
    """Включение ТЭН2"""
    gpio.pinMode(pins['TEH2'],gpio.OUTPUT)
    gpio.digitalWrite(pins['TEH2'],gpio.LOW)

def OnDeph():
    """Включение электроклапана дефлегматора"""
    gpio.pinMode(pins['Deph'],gpio.OUTPUT)
    gpio.digitalWrite(pins['Deph'],gpio.LOW)

def OnCond():
    """Включение электроклапана дефлегматора"""
    gpio.pinMode(pins['Cond'],gpio.OUTPUT)
    gpio.digitalWrite(pins['Cond'],gpio.LOW)

def OffTEH1():
    """Выключение ТЭН1"""
    gpio.pinMode(pins['TEH1'],gpio.INPUT)

def OffTEH2():
    """Выключение ТЭН2"""
    gpio.pinMode(pins['TEH2'],gpio.INPUT)

def OffDeph():
    """Выключение электроклапана дефлегматора"""
    gpio.pinMode(pins['Deph'],gpio.INPUT)

def OffCond():
    """Выключение электроклапана дефлегматора"""
    gpio.pinMode(pins['Cond'],gpio.INPUT)

def main():
    """Тестовое включение/отключение"""
    import time
    while(True):
        OnAll()
        sleep (0.2)
        OffAll()
        sleep(0.8)
        OnDeph()
        sleep(0.2)
        OnCond()
        sleep(0.2)
        OnTEH1()
        sleep(0.2)
        OnTEH2()
        sleep(0.2)
        OffnDeph()
        sleep(0.2)
        OffCond()
        sleep(0.2)
        OffTEH1()
        sleep(0.2)
        OffTEH2()
        sleep(0.2)

if __name__=="__main__":
    main()
    



